QuantLib: ECB Struct Reference

A free/open-source library for quantitative finance Reference manual - version 1.12

Static Public Member Functions | List of all members
ECB Struct Reference

European Central Bank reserve maintenance dates. More...

`#include <ql/time/ecb.hpp>`

## Static Public Member Functions
static const std::set< Date > & | knownDates ()
static void | addDate (const Date &d)
static void | removeDate (const Date &d)
static Date | date (Month m, Year y)
| maintenance period start date in the given month/year
static Date | date (const std::string &ecbCode, const Date &referenceDate=Date())
static std::string | code (const Date &ecbDate)
static Date | nextDate (const Date &d=Date())
| next maintenance period start date following the given date
static Date | nextDate (const std::string &ecbCode, const Date &referenceDate=Date())
| next maintenance period start date following the given ECB code
static std::vector< Date > | nextDates (const Date &d=Date())
| next maintenance period start dates following the given date
static std::vector< Date > | nextDates (const std::string &ecbCode, const Date &referenceDate=Date())
| next maintenance period start dates following the given code
static bool | isECBdate (const Date &d)
static bool | isECBcode (const std::string &in)
| returns whether or not the given string is an ECB code
static std::string | nextCode (const Date &d=Date())
| next ECB code following the given date
static std::string | nextCode (const std::string &ecbCode)
| next ECB code following the given code

## Detailed Description

European Central Bank reserve maintenance dates.

## Member Function Documentation

## ◆ date()

static Date date | ( | const std::string & | ecbCode,
|  | const Date & | referenceDate = `Date()`
| ) |  |
| static

returns the ECB date for the given ECB code (e.g. March xxth, 2013 for MAR10).

Warning:
  It raises an exception if the input string is not an ECB code

## ◆ code()

static std::string code | ( | const Date & | ecbDate | ) |
| static

returns the ECB code for the given date (e.g. MAR10 for March xxth, 2010).

Warning:
  It raises an exception if the input date is not an ECB date

## ◆ isECBdate()

static bool isECBdate | ( | const Date & | d | ) |
| static

returns whether or not the given date is a maintenance period start date